package com.prolog.cs.biz.inbound.service.rqc;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rqc.RqcReLinesDTO;
import com.prolog.cs.biz.inbound.vo.RqcDQueryVO;
import com.prolog.framework.authority.core.dto.UserDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.Date;
import java.util.List;

/**
 * @Description
 * @Date 2021-04-02
 */

public interface RqcReLinesService {

	/**
	 * @Description
	 * @Date 2021-04-02 add RqcReLinesDTO
	 */
	public Object add(RqcReLinesDTO rqcReLinesDTO);

	/**
	 * @Description
	 * @Date 2021-04-02 edit RqcReLinesDTO
	 */
	public Object edit(String pkId, RqcReLinesDTO rqcReLinesDTO);

	/**
	 * @Description
	 * @Date 2021-04-02 delete RqcReLinesDTO
	 */
	public Object deletePkId(String pkId);

	/**
	 * @Description
	 * @Date 2021-04-02 delete RqcReLinesDTO
	 */
	public Object delIds(List<String> pkIdList);

	/**
	 * @Description
	 * @Date 2021-04-02 page condition search RqcReLinesDTO
	 */
	public Page<RqcReLinesDTO> findList(RqcReLinesDTO rqcReLinesDTO, PageParam pageParam);

	/**
	 * @Description
	 * @Date 2021-04-02 batchAdd RqcReLinesDTO
	 */
	public Object batchAdd(List<RqcReLinesDTO> rqcReLinesDTOList);

	/**
	 * @Description
	 * @Date 2021-04-02 batchEdit RqcReLinesDTO
	 */
	public Object batchEdit(List<RqcReLinesDTO> rqcReLinesDTOList);

	/**
	 * @Description
	 * @Date 2021-04-02 condition search all RqcReLinesDTO
	 */
	public List<RqcReLinesDTO> findAll(RqcReLinesDTO rqcReLinesDTO);

	/**
	 * @Description
	 * @Date 2021-04-02 findOne RqcReLinesDTO
	 */
	public RqcReLinesDTO findByPkId(String pkId);

	public Object batchAdd(List<RqcReLinesDTO> rqcReLinesDTOList, String masterId, UserDTO userDTO, Date now);

	public Page<RqcReLinesDTO> findList(RqcDQueryVO rqcDQueryVO);
}
